Bug 1254522 - Waking up from suspend resets the brightness and reveals your unlocked screen for half a second
Waking up from suspend resets the brightness and reveals your unlocked screen...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 1245432 1256503 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 06:15 EDT by Viktor Jancik
Modified: 2016-07-19 15:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:55:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 753678 None None None Never

  None (edit)
Description Viktor Jancik 2015-08-18 06:15:03 EDT
Description of problem:
After opening the laptop, it wakes up, but before the lock screen appears, for about half a second, it's not there, and my entire desktop is visible. This is potentially a security issue.

Probably related to this, is also an unpleasant effect, that until the lock screen appears, the brightness is reset to maximum value, and then gets set to the value you left it at, when the lock screen appears.

This is especially unpleasant at night, when the screen blasts your eyes for half a second.

Laptop Model:
Lenovo ThinkPad T450s

Version-Release number of selected component (if applicable):
GNOME Shell 3.16.3

How reproducible:
always

Steps to Reproduce:
1. Lock screen, close the lit.
2. Open the lit

Actual results:
My desktop gets revealed for half a second, the brightness is at maximum for half a second.
Then the lock screen appears and brightness sets to the previous value.

Expected results:
Lock screen appears, same brightness as was when you closed it.

Additional info:
Comment 1 Florian Müllner 2015-09-04 08:47:55 EDT
*** Bug 1256503 has been marked as a duplicate of this bug. ***
Comment 2 barsnick 2015-09-04 09:48:01 EDT
Though the bug I reported (bug #1256503, now marked as duplicate of this) only complains about the visible desktop, I confirm the brightness behavior. I only just recently noticed. Different laptop model, same Gnome shell.
Comment 3 Florian Müllner 2015-09-04 09:54:03 EDT
(In reply to barsnick from comment #2)
> Though the bug I reported (bug #1256503, now marked as duplicate of this)
> only complains about the visible desktop, I confirm the brightness behavior.

GNOME Shell is not involved in adjusting the brightness, so that's not a gnome-shell issue either.
Comment 4 Florian Müllner 2015-09-04 09:58:00 EDT
*** Bug 1245432 has been marked as a duplicate of this bug. ***
Comment 5 Viktor Jancik 2015-09-05 10:52:09 EDT
The problem seems to only occur when waking up from a suspend. Just locking and closing the screen doesn't seem to cause it. The laptop has to be woken up from suspend when reopened.
Comment 6 Isaac Lenton 2016-01-12 01:13:20 EST
Still an issue on Fedora 23, using Dell XPS12 laptop.
Comment 8 Fedora End Of Life 2016-07-19 15:55:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.